<?

	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด

	$key=$_GET['key'];
	$user=$_GET['user'];
	$num=$_GET['num'];
	$sign=$_GET['sign'];

 	$filename="new.txt";
	if(file_exists($filename))
	{
	$dat01 = file($filename);
	$FILE=fopen($filename,"w+");
	flock($FILE,2);
	
	   if(($num<1)&&(sign==-1))  return 0;
	    if($sign==1)
		{
	     $j=$num;
	     $k=$num+1;
		 }else{
			     $j=$num-1;
			     $k=$num;
			   }
		for ($i=0 ; $i<sizeof($dat01) ; $i++)
		{
	         	if($i==$j)
				  {
				   fputs($FILE,$dat01[$k]);
				  } elseif($i==$k)
				             {
    				            fputs($FILE,$dat01[$j]);
				             }else{
  				                    fputs($FILE,$dat01[$i]);							 
							      }
		}	
     }
	fclose($FILE);
  header("Location:sort.php?key=$key&user=$user");		
		
?>
